Subject: bug#79273: llwm fails to build on power9

From: [email-masked]
Date: Tue, 19 Aug 2025 19:27:58 +0000

Hey guix!

I'm trying to help my friend set up his Talos 2, which uses Power9.

We are currently using Chimera Linux + guix (to get extra packages).

My friend wants to use bitcoin-knots, which was forked from bitcoin-core.

Looking at this merge request it is fairly easy to start the build:

https://codeberg.org/guix/guix/pulls/714

Both of these commands fail:

$ guix build -f bitcoin-knots-commit.scm
$ guix package --keep-going -f bitcoin-knots-commit.scm
$ guix package --keep-going -K -f bitcoin-knots-commit.scm

The build fails, because LLVM fails to build with some tests failing.

********************
Testing:  0.. 10.. 20.. 30.. 40.. 50.. 60.. 70.. 80.. 90.. 
********************
Failed Tests (4):
  LLVM :: tools/dsymutil/X86/DWARFLinkerParallel/odr-fwd-declaration3.test
  LLVM :: tools/dsymutil/X86/DWARFLinkerParallel/odr-predictable-output2.test
  LLVM :: tools/dsymutil/X86/DWARFLinkerParallel/odr-string.test
  LLVM :: tools/dsymutil/X86/DWARFLinkerParallel/odr-types-in-subprogram1.test

Testing Time: 166.79s

Total Discovered Tests: 58173
  Skipped          :    64 (0.11%)
  Unsupported      :  2073 (3.56%)
  Passed           : 55876 (96.05%)
  Expectedly Failed:   156 (0.27%)
  Failed           :     4 (0.01%)
make[3]: *** [test/CMakeFiles/check-llvm.dir/build.make:74: test/CMakeFiles/check-llvm] Error 1
make[3]: Leaving directory '/tmp/guix-build-llvm-18.1.8.drv-0/source/build'
make[2]: *** [CMakeFiles/Makefile2:50589: test/CMakeFiles/check-llvm.dir/all] Error 2
make[2]: Leaving directory '/tmp/guix-build-llvm-18.1.8.drv-0/source/build'
make[1]: *** [CMakeFiles/Makefile2:50596: test/CMakeFiles/check-llvm.dir/rule] Error 2
make[1]: Leaving directory '/tmp/guix-build-llvm-18.1.8.drv-0/source/build'
make: *** [Makefile:13361: check-llvm] Error 2

I just installed guix a few days ago, but in case you're curious what my guix describe says:

$ guix describe
Generation 1	Aug 18 2025 12:15:18	(current)
  guix 18ccd72
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 18ccd72418dc990393666ec3e8779b9193867870

$ su
# guix describe
# guix describe
  guix 7448f75
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 7448f7572ffc219c6618f24fe69468cae3d7498c

I'm attaching the bitcoin-knots build script that I stole from the merge request.
And I am attaching the LLVM build log (though I am deleting most of it).  LLVM compiled just fine, 

What else can I do to help?

Thanks,